#! /bin/bash

user=ecm86133
expid=b013
YYINI=1985
YYEND=1985
YYINT=5
MMDD=1101

YY=$YYINI


# define which files need to be copy
TYPE=MMO
yy=1989
mmdd=0301


tmpdir=/scratch/ecm86133/$expid  # This is only good for login2 of bsc
ssh ecm86133@mn2.bsc.es mkdir -p $tmpdir


while [[ $YY -le $YYEND ]];do


#for i in 0 1 2 3 4; do
for i in 0; do

file=${TYPE}_${expid}_${YY}${MMDD}_fc${i}_${yy}${mmdd}-*.tar


SOURCEDIR=/HSM/ecm86/ecearth/${expid}/${YY}${MMDD}/fc${i}/outputs
TARDIR=/scratch/${expid}/${YY}${MMDD}/fc${i}
mkdir -p $TARDIR
ssh ecm86133@mn2.bsc.es scp login7:$SOURCEDIR/${file} $tmpdir
scp ecm86133@mn2.bsc.es:$tmpdir/${file} $TARDIR
ssh ecm86133@mn2.bsc.es rm -f $tmpdir/${file}
touch ${YY}${MMDD}_fc{$i}_Done
done #loop for members

YY=$((YY+YYINT))

done #loop for years (start dates)

ssh ecm86133@mn2.bsc.es rmdir $tmpdir

exit 0
